package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag970;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT970Creator;

import java.util.List;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag61Creator extends AbsTagCreate {

    private MT970Creator mt970Creator;

    public Tag61Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt970Creator= (MT970Creator) absMTCreator;
    }

    public  void creator()
    {
        List<String> tag61Value = mt970Creator.getStatLine();
        if(tag61Value!=null){
            mt970Creator.set("61", tag61Value,true);
        }
    }
}
